#include "xfont.h"

XFont::XFont()
    : XAsset()
    , mFontName("")
    , mPixelHeight(0)
    , mGlyphCount(0)
    , mMaterial(new XMaterial())
    , mGlowMaterial(new XMaterial())
    , mGlyphs()
{
    SetType(ASSET_TYPE_FONT);
    SetName("Font");
}

XFont::~XFont()
{
    
}

void XFont::Clear()
{
    mFontName = "";
    mPixelHeight = 0;
    mGlyphCount = 0;
    delete mMaterial;
    delete mGlowMaterial;
    mGlyphs.clear();
}

void XFont::ParseData(QDataStream *aStream)
{
    
}
